package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.CustomFileTable;
import com.crm.rely.backend.core.pojo.table.CustomGroupTypeTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomGroupTypeRepository extends BaseRepository<CustomGroupTypeTable> {

    List<CustomGroupTypeTable> getAllByIdIsNotNull();

    List<CustomGroupTypeTable> findAllByIdIn(List<Long> ids);

    CustomGroupTypeTable getFirstById(Long id);
}
